Subject: Re: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: [email-masked]
Date: Sun, 17 Jul 2011 10:27:48 +0800

>>>>> "SM" == Stefan Monnier <[email-masked]> writes:
>>> C-u q does.  And in any case, I was just describing the usual binding
>>> used in special-modes, regardless of whether it behaves like view-mode.
>>> FWIW, I find view-mode's behavior generally odd and hard to predict (as
>>> a user), so I don't think it's crucial to always follow its lead.
>> No, but it would be nice if `v' in dired always did the same thing
>> with `q'.

SM> Why?

Because when we hit q on a text file, it neatly disappears (from the
buffer list), whereas hitting q on an image file oddly leaves it sitting
on the buffer list, one look at which would shock one off ones chair --
my god how did I stuff emacs memory with all those images?